/**
 * 06-图1 列出连通集   (25分)
 * 给定一个有N个顶点和E条边的无向图，请用DFS和BFS分别列出其所有的连通集。假设顶点从0到N−1
 * 编号。进行搜索时，假设我们总是从编号最小的顶点出发，按编号递增的顺序访问邻接点。
 * 
 * 输入格式:
 * 输入第1行给出2个整数N(0<N≤10)和E，分别是图的顶点数和边数。随后E行，每行给出一条边的两个
 * 端点。每行中的数字之间用1空格分隔。
 * 
 * 输出格式:
 * 按照"{ v_1 v_2 ... v_k }"的格式，每行输出一个连通集。先输出DFS的结果，再输出BFS的结果。
 * 
 * 输入样例:
8 6
0 7
0 1
2 0
4 1
2 4
5
 * 
 * 输出样例:
 * 
 * { 0 1 4 2 7 }
 * { 3 5 }
 * { 6 }
 * { 0 1 2 7 4 }
 * { 3 5 }
 * { 6 }
 */
